import { defineConfig } from '@bole-core/core';

export default defineConfig({
  /**
   * @description 网页title
   */
  title: '乐遇保云服务',

  errorLog: 'production',

  loginFormTitle: '乐遇保云服务后台管理系统',
});

type AppType = 'one' | 'rz' | 'jx';

const AppSettingMap = {
  one: {
    title: '乐遇保云服务',
    loginFormTitle: '乐遇保云服务',
    MenuTitle: '乐遇保云服务',
  },
  jx: {
    title: '江西保险理赔后台管理系统',
    loginFormTitle: '江西保险理赔后台管理系统',
    MenuTitle: '江西保险理赔',
  },
};

export function getAppSetting(appType: AppType) {
  return AppSettingMap[appType];
}
